<template>
  <div class="circle circle-center">
    <svg
      width="500"
      height="500"
      viewBox="0 0 500 500"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M250 10c132.55 0 240 107.45 240 240S382.55 490 250 490 10 382.55 10 250 117.45 10 250 10"
        stroke-width="36"
        stroke="#ccc"
      />
      <path
        class="progress-bar"
        d="M250 10c132.55 0 240 107.45 240 240S382.55 490 250 490 10 382.55 10 250 117.45 10 250 10"
        :stroke-dasharray="`${pathLength} ${pathLength}`"
        :class="{ danger: hasWarning }"
        :stroke-dashoffset="strokeOffset"
      />
    </svg>
    <div class="absolute-center the-pointer">
      <img
        src="../../assets/svg/pointer.svg"
        alt="pointer"
        :style="pointerStyle"
      />
    </div>
    <div class="content absolute-center" :class="{ 'has-warning': hasWarning }">
      <div class="total-calorie">
        <i v-if="hasWarning" class="ic-alert" />
        <p v-else class="text-bold">کالری روزانه</p>
        <p>
          <count-to class="num" :value="total" />
          <small>کالری</small>
        </p>
      </div>
      <hr />
      <div class="used-calorie">
        <p class="text-bold">کالری مصرف شده</p>
        <p>
          <count-to class="num" :value="used" />
          <small>کالری</small>
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  components: {},
  props: {
    total: { type: Number, default: 0 },
    used: { type: Number, default: 0 }
  },
  data() {
    return {
      pathLength: 1508
    }
  },
  computed: {
    progress() {
      if (!this.total) return 0
      let progress =
        Math.round((this.used / (this.total | 0.00001)) * 100) / 100
      if (progress > 1) progress = 1
      return progress
    },
    pointerStyle() {
      return {
        transform: `rotate(${360 * this.progress}deg)`
      }
    },
    strokeOffset() {
      return this.pathLength - this.pathLength * this.progress
    },
    hasWarning() {
      return this.used > this.total
    }
  }
}
</script>
